Package com.google.earth.kml._2

# Class SnippetType

java.lang.Object
com.google.earth.kml._2.SnippetType

public class SnippetType extends Object
<p>Java class for SnippetType complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="SnippetType"> <simpleContent> <extension base="<http://www.w3.org/2001/XMLSchema>string"> <attribute name="maxLines" type="{http://www.w3.org/2001/XMLSchema}int" default="2" /> </extension> </simpleContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Integer`
  `maxLines`
  `protected String`
  `value`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SnippetType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getMaxLines()`
  Gets the value of the maxLines property.
  `String`
  `getValue()`
  Gets the value of the value property.
  `void`
  `setMaxLines(Integer value)`
  Sets the value of the maxLines property.
  `void`
  `setValue(String value)`
  Sets the value of the value property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### value

    protected String value

  - ### maxLines

    protected Integer maxLines

- ## Constructor Details

  - ### SnippetType

    public SnippetType()

- ## Method Details

  - ### getValue

    public String getValue()
    Gets the value of the value property.
    Returns:
      possible object is `String`

  - ### setValue

    public void setValue(String value)
    Sets the value of the value property.
    Parameters:
      `value` - allowed object is `String`

  - ### getMaxLines

    public int getMaxLines()
    Gets the value of the maxLines property.
    Returns:
      possible object is `Integer`

  - ### setMaxLines

    public void setMaxLines(Integer value)
    Sets the value of the maxLines property.
    Parameters:
      `value` - allowed object is `Integer`